Debian Bug report logs - #246244
ITP: hugin -- A GUI frontend to Panorama Tools

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mike Brodbelt <mike@coruscant.demon.co.uk>

Date: Wed, 28 Apr 2004 01:03:01 UTC

Owned by: Florent Bayle <florent.bayle@free.fr>

Severity: wishlist

Merged with 251618

Fixed in version hugin/0.6.1-1

Done: Florent Bayle <fbayle@bigfoot.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#246244; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mike Brodbelt <mike@coruscant.demon.co.uk>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mike Brodbelt <mike@coruscant.demon.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: hugin -- A GUI frontend to Panorama Tools that makes panorama creation easier.
Date: Wed, 28 Apr 2004 01:49:33 +0100
Package: wnpp
Severity: wishlist

  Package name    : hugin
  Version         : 0.4pre
  Upstream Author : Pablo d'Angelo <pablo.dangelo@web.de>
  URL             : http://hugin.sourceforge.net/
  License         : GPL
  Description     : A GUI frontend to Panorama Tools that makes panorama creation easier.

(Include the long description here.)

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.3
Locale: LANG=en_GB, LC_CTYPE=en_GB



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#246244; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robert Jordens <robertjo@phys.ethz.ch>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 246244@bugs.debian.org (full text, mbox):

From: Robert Jordens <robertjo@phys.ethz.ch>
To: 246244@bugs.debian.org, control@bugs.debian.org
Subject: ITP: hugin
Date: Fri, 21 May 2004 17:14:40 +0200
[Message part 1 (text/plain, inline)]
retitle 246244 ITP: hugin -- A GUI frontend to Panorama Tools
thanks

I will start with this. I might not have much time. So if someone else
in interested, talk to me.

This includes packaging libpano and vigra.

        Robert.

-- 
On the Internet, no one knows you're using Windows NT
	-- Submitted by Ramiro Estrugo, restrugo@fateware.com
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Robert Jordens <robertjo@phys.ethz.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 246244 251618. Request was from Robert Jordens <robertjo@phys.ethz.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#246244; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Philipp Frauenfelder <pfrauenf@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #19 received at 246244@bugs.debian.org (full text, mbox):

From: Philipp Frauenfelder <pfrauenf@debian.org>
To: ptx@email-lists.org, PanoTools@yahoogroups.com
Cc: 246244@bugs.debian.org, 251618@bugs.debian.org, 255375@bugs.debian.org, 251617@bugs.debian.org
Subject: Panotools and Hugin compile for Debian
Date: Thu, 30 Sep 2004 16:48:22 +0200
[Message part 1 (text/plain, inline)]
Dear Pano-Friends

I have compiled and packaged the Panotools [1] and Hugin [2] for
Debian (unstable) on amd64 and i386 and put the packages here:
http://people.debian.org/~pfrauenf/
(well, actually, maybe you have to wait for i386 until this
evening)

Please give it a spin and send me corrections etc. This is the
first upload of the packages and I might finally upload them
into the distribution.

[1] http://panotools.sourceforge.net/ (only libpano, not the
    Gimp Plugin)
[2] http://hugin.sourceforge.net/

Regards
-- 
Philipp      | work: pfrauenf@math.ethz.ch  +41 44 632 60 38
Frauenfelder | home: pfrauenf@debian.org    +41 44 862 73 14
[PGP]        | http://www.math.ethz.ch/~pfrauenf/
Proudly running Debian GNU/Linux. See http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#246244; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bruno Postle <bruno@postle.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #24 received at 246244@bugs.debian.org (full text, mbox):

From: Bruno Postle <bruno@postle.net>
To: Philipp Frauenfelder <pfrauenf@debian.org>
Cc: ptx@email-lists.org, PanoTools@yahoogroups.com, 251617@bugs.debian.org, 255375@bugs.debian.org, 251618@bugs.debian.org, 246244@bugs.debian.org
Subject: Re: [ptx] Panotools and Hugin compile for Debian
Date: Thu, 30 Sep 2004 16:26:51 +0100
On Thu 30-Sep-2004 at 16:48 +0200, Philipp Frauenfelder wrote:
> 
> I have compiled and packaged the Panotools [1] and Hugin [2] for
> Debian (unstable) on amd64 and i386 and put the packages here:
> http://people.debian.org/~pfrauenf/

Great, just a note about your package versions:

    hugin_0.4pre20040917-1
    libpano12_20040917-1

pano12 does have a version hidden away in the version.h file,
currently it is "2.7.0.4".

There are also two utilities in the 'tools/' directory that you
should build:

- "PTOptimizer" (required by hugin to do anything other than basic
  optimisation)

- "panoinfo" (tells you the library version).

You should probably also build "enblend" as this is now part of the
hugin workflow:

    http://www-cad.eecs.berkeley.edu/~mihal/enblend/

(apologies if this is already packaged for debian)


-- 
Bruno



Information stored:
Bug#246244; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #29 received at 246244-quiet@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: 246244-submitter@bugs.debian.org, 246244-quiet@bugs.debian.org
Subject: Re: ITP: hugin -- A GUI frontend to Panorama Tools
Date: Sun, 10 Apr 2005 17:10:07 +0200
Hi,

I would like to know the status of the hugin package.
Packages in http://people.debian.org/~pfrauenf/hugin/ are quite
outdated, and I really would like to see it in debian.

Cheers,

Mike



Message sent on to Mike Brodbelt <mike@coruscant.demon.co.uk>:
Bug#246244. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#246244; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mickael Profeta <mike@alezan.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #37 received at 246244@bugs.debian.org (full text, mbox):

From: Mickael Profeta <mike@alezan.org>
To: 246244@bugs.debian.org
Subject: ITP: hugin -- A GUI frontend to Panorama Tools
Date: Tue, 24 May 2005 00:09:38 +0200
Hi Folks

If there is no activity on this package, I would like to package it,
especially now that libpano has entered the distribution.

Please Tell me if someone wants to package it. If not I would do it in a
few weeks.


Mike



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#246244; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Florent Bayle <florent.bayle@free.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #42 received at 246244@bugs.debian.org (full text, mbox):

From: Florent Bayle <florent.bayle@free.fr>
To: 246244@bugs.debian.org, Mickael Profeta <mike@alezan.org>
Subject: ITP: hugin -- A GUI frontend to Panorama Tools
Date: Fri, 17 Jun 2005 02:46:36 +0200
[Message part 1 (text/plain, inline)]
Hello Mike,

I have packaged libpano12, and I plan to package hugin (and maybe autopano and 
enblend too). I've already made some package, but they still need some work. 
I think that I will upload them at the beginning of July.

Thanks.

-- 
Florent
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#246244; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mickael Profeta <mike@alezan.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #47 received at 246244@bugs.debian.org (full text, mbox):

From: Mickael Profeta <mike@alezan.org>
To: Florent Bayle <florent.bayle@free.fr>
Cc: 246244@bugs.debian.org
Subject: Re: ITP: hugin -- A GUI frontend to Panorama Tools
Date: Thu, 4 Aug 2005 10:37:41 +0200
On Fri, Jun 17, 2005 at 02:46:36AM +0200, Florent Bayle wrote:
Hi Florent
> 
> I have packaged libpano12, and I plan to package hugin (and maybe autopano and 
> enblend too). I've already made some package, but they still need some work. 
> I think that I will upload them at the beginning of July.

What about your package on Hugin?
I just received a mail saying that enblend is about to be uploaded in
Debian, and it would be very cool that hugin enters debian also.

If you need help, do not hesitate to ask.

Cheers
Mike



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#246244; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Hubert Figuiere <hub@figuiere.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #52 received at 246244@bugs.debian.org (full text, mbox):

From: Hubert Figuiere <hub@figuiere.net>
To: 246244@bugs.debian.org
Subject: hugin package
Date: Sat, 06 Aug 2005 21:41:31 -0400
Hi,

just that I'm currently packaging hugin 0.5 for Ubuntu Universe. It
hasn't been accepted for uploading yet.


Hub



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#246244; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Florent Bayle <florent.bayle@free.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #57 received at 246244@bugs.debian.org (full text, mbox):

From: Florent Bayle <florent.bayle@free.fr>
To: Mickael Profeta <mike@alezan.org>
Cc: 246244@bugs.debian.org
Subject: Re: ITP: hugin -- A GUI frontend to Panorama Tools
Date: Thu, 11 Aug 2005 15:07:36 +0200
[Message part 1 (text/plain, inline)]
Le Jeudi 4 Août 2005 10:37, Mickael Profeta a écrit :
> On Fri, Jun 17, 2005 at 02:46:36AM +0200, Florent Bayle wrote:
> Hi Florent
>
> > I have packaged libpano12, and I plan to package hugin (and maybe
> > autopano and enblend too). I've already made some package, but they still
> > need some work. I think that I will upload them at the beginning of July.
>
> What about your package on Hugin?
> I just received a mail saying that enblend is about to be uploaded in
> Debian, and it would be very cool that hugin enters debian also.
>
> If you need help, do not hesitate to ask.

I have worked with upstream authors to fix some problems on 0.5 RC version of 
hugin :
 - non-free sourcecode 
 - obsolete utilities
 - unable to build with official version of vigra library

In last CVS version, there was a code cleanup. Now there is only GPL 
sourcecode, and all the obsolete utilities were removed, but hugin still need 
to be built with a modified version of vigra.

So, I have two choices :
 - package last CVS version with modified version of vigra (and make a package 
libvigra-hugin, or something like that).
 - wait that the changes made to vigra were merged with official version and 
that this version enters into Debian.

Pablo d'Angelo (upstream author) is working on merging hugin's vigra with 
official version (see 
https://www.email-lists.org/pipermail/ptx/2005-July/004010.html), so I 
decided to wait. But if there was no changes until the end of september, I 
will package last CVS version with modified vigra version.

-- 
Florent
[Message part 2 (application/pgp-signature, inline)]

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mike Brodbelt <mike@coruscant.demon.co.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #62 received at 251618-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 251618-done@bugs.debian.org
Subject: WNPP bug closing
Date: Sat, 01 Oct 2005 12:00:06 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

reopen 251618
thanks bts

Further comments on the work done in the bug sent to
251618@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 



Bug reopened, originator not changed. Request was from "ROBERTOJIMENOCA@terra.es" <ROBERTOJIMENOCA@terra.es> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Florent Bayle <florent.bayle@free.fr>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Aníbal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 16:50:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:04:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.